Community
Hi
I am importing a dxf file that has text contained in it on layer “X” (there is nothing else on this layer). I want to retrieve the text to use it to rename another layer.
How do I replace "XLYP1H18" with the text contained on layer “X”?
Script below…
-LAYER
RENAME
"Workpiece Size"
"XLYP1H18"
Any help appreciated
Thanks
M
Solved! Go to Solution.
Solved by ВeekeeCZ. Go to Solution.
With a LISP.
(defun c:GetXContent () (if (ssget "_X" '((0 . "TEXT") (8 . "X"))) (cdr (assoc 1 (entget (ssname (ssget "_X" '((0 . "TEXT") (8 . "X"))) 0))))))
Can't find what you're looking for? Ask the community or share your knowledge.